Bug 252462 - OpenPegasus SRPM fails to build Test RPM.
OpenPegasus SRPM fails to build Test RPM.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: tog-pegasus (Show other bugs)
5.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Vitezslav Crhonek
:
Depends On:
Blocks: 391961
  Show dependency treegraph
 
Reported: 2007-08-16 01:40 EDT by Denise Eckstein
Modified: 2008-05-21 12:46 EDT (History)
0 users

See Also:
Fixed In Version: RHBA-2008-0357
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 12:46:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed Change (4.44 KB, patch)
2007-08-16 01:42 EDT, Denise Eckstein
no flags Details | Diff
proposed patch (2.37 KB, patch)
2007-11-20 07:48 EST, Vitezslav Crhonek
no flags Details | Diff

  None (edit)
Description Denise Eckstein 2007-08-16 01:40:43 EDT
Description of problem:
rpmbuild -bb --define 'PEGASUS_BUILD_TEST_RPM 1' tog-pegasus.spec fails.

Note: The OpenPegasus test RPM, tog-pegasus-test-2.6.0-4.ia64.rpm, is an 
internal use only package.  It contains a suite of regression tests that can 
be used to verify that the OpenPegasus product built successfully. tog-pegasus-
test-2.6.0-4.ia64.rpm is NOT intended to be packaged as part of the RHEL 
release.

Version-Release number of selected component (if applicable):
tog-pegasus-2.6.0-4.el5.src.rpm

How reproducible:
This failure is consistently reproducible.

Steps to Reproduce:
1. rpmbuild -bb --define 'PEGASUS_BUILD_TEST_RPM 1' tog-pegasus.spec 
2.
3.
  
Actual results:

g++ -W -Wall -Wno-unused -D_GNU_SOURCE -DTHREAD_SAFE -D_REENTRANT -O2 -
fvisibility=hidden -DPEGASUS_ENABLE_SSL_CRL_VERIFICATION -
DPEGASUS_DISABLE_PERFINST -DPEGASUS_ENABLE_CMPI_PROVIDER_MANAGER -
DPEGASUS_USE_RELEASE_CONFIG_OPTIONS -DPEGASUS_USE_RELEASE_DIRS -
DPEGASUS_OVERRIDE_DEFAULT_RELEASE_DIRS -fPIE -pie -Wl,-z,relro,-z,now,-
z,nodlopen,-z,noexecstack -L/usr/src/redhat/BUILD/pegasus/build/lib -
o /usr/src/redhat/BUILD/pegasus/build/bin/TestQualifierList /usr/src/redhat/BUI
LD/pegasus/build/obj/Pegasus/Common/tests/QualifierList/QualifierList.o -
lpegcommon -ldl -lpthread -lcrypt -lpam
touch /usr/src/redhat/BUILD/pegasus/build/bin/TestQualifierList

touch /usr/src/redhat/BUILD/pegasus/build/bin/TestQualifierList

make[1]: Leaving directory 
`/usr/src/redhat/BUILD/pegasus/src/Pegasus/Common/tests/QualifierList'
make -C /usr/src/redhat/BUILD/pegasus/src/Pegasus/Common/tests/Queue
make: *** /usr/src/redhat/BUILD/pegasus/src/Pegasus/Common/tests/Queue: No 
such file or directory.  Stop.
make: *** [/usr/src/redhat/BUILD/pegasus/build/bin/TestQueue] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.56473 (%build)


Expected results:
rpmbuild -bb --define 'PEGASUS_BUILD_TEST_RPM 1' tog-pegasus.spec  completes 
successfully and tog-pegasus-test-2.6.0-4.ia64.rpm is created.


Additional info:
Comment 1 Denise Eckstein 2007-08-16 01:42:14 EDT
Created attachment 161432 [details]
Proposed Change
Comment 2 RHEL Product and Program Management 2007-10-15 23:48:20 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Vitezslav Crhonek 2007-11-20 07:47:44 EST
Hi,

new proposed patch (the old one didn't apply correctly). Denise, can you please
check it? I don't know exactly which tests are needed, so I kept it same as in
your patch.

I've also opened new bug #391961 to tract same problem in Fedora devel, proposed
patch here will be soon.
Comment 4 Vitezslav Crhonek 2007-11-20 07:48:55 EST
Created attachment 264871 [details]
proposed patch
Comment 9 errata-xmlrpc 2008-05-21 12:46:32 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0357.html

Note You need to log in before you can comment on or make changes to this bug.